ks = 10000;
mc = 1320/4;
kw  = 1000;
b = 5000;
mw = 10;


% our state vector is [X_disp X_velocity Y_disp Y_velocity]
A = [0, 1, 0, 0;
    (-ks/mw-kw/mw),(-b/mw),ks/mw,b/mw;
    0,0,0,1;
    ks/mc,b/mc,-ks/mc,-b/mc]; %A describes the cars internal dynamics - note this contains all the internal forces affecting the system, leaving only the force from the road

B = [0;
    kw/mw;
    0;
    0]; %B desctribes how the inputs (here the displacement of the road surface is our input) links to the internal state

C = [0,0,1,0]; %C describes how the state links to the output. lets start with the displacement of the car, Y

D = 0; %descibes how the output and input are linked external to the system, generally they are not in which case D = 0 or [];


sysRC = ss(A,B,C,D);
figure(1)
step(sysRC)
stepinfo(sysRC)

title('Unit step response of the vehicle body')
xlabel('Time (s)') % x-axis label
ylabel('Displacement(m)') % y-axis label

